## fedi\_tools: tools for interacting with fedi from the cli

# Dependencies

* libcurl
* radare2 (build and install it from https://github.com/radareorg/radare2)


# Build

Just run `make`


# Installation

Just run `make install` as root after building


# Configuration

radare2 comes with sdb (see https://github.com/radareorg/sdb) and fedi\_tools uses sdb for configuration,
because I don't want to write a config parser.
For configuration you need to create `.fedi_tools.sdb` in your home directory and set the following keys:

* instance
* user
* password

just do this:

```sh
sdb ~/.fedi_tools.sdb instance=<instance-url>
sdb ~/.fedi_tools.sdb user=<your-username>
sdb ~/.fedi_tools.sdb password=<your-password>
```


# The tools

So far there is only `fedi_post` which let's you make a post on fedi.
You can use it like this:

```sh
fedi_post <text-file-containing-your-post>
```

`fedi_post` also has an interactive mode. If you launch it with the `-i` flag it will open $EDITOR:
You write your post, save, quit and `fedi_post` will make a post for you.
You can also attach files if you use the `-a` flag like this:

```sh
fedi_post <post-file> -a <number-of-attachments> <attachment-1> <attachement-2> ... <attachment-N>
```

Ofc this also works in combination with the `-i` flag.



Enjoy!

-- condret
